import acquire


class DistanceBased(acquire.ModelBased):

    def compute_z(self, model, X):
        """Extract the necessary tensor z from X using the model."""
        return model.extract_features(X)